// Definicija klase prozora za dijalog (Dijalog)

import java.awt.*;
import java.awt.event.*;

public class Dijalog extends Dialog {
  private Osnovni osn =                         // Osnovni prozor u vlasni-
      new Osnovni(this);                        //   tvu ovog dijaloga.
  public Dijalog(Frame vla) {                   // Konstruktor:
    super(vla,                                  // - postavljanje vlasnika, 
          "Dijalog",                            //     naslova,
          true);                                //     neka je uslovljen;
    setBounds(320, 100, 200, 90);               // - poloaj i veliina;
    addMouseListener(new MouseAdapter() {       // - oslukiva mia:
      @Override
      public void mouseClicked(MouseEvent dog)  //   ~ pritisak miem,
        { osn.setVisible(true); }               //   ~ prikazivanje
    });                                         //     osnovnog prozora;
    addWindowListener(new WindowAdapter() {     // - oslukiva prozora:
      @Override
      public void windowClosing(WindowEvent dog)//   ~ zatvaranje,
        { setVisible(false); }                  //   ~ uklanjanje sebe
    });                                         //     sa ekrana;
  }                                             // - kraj konstruktora.
}
