// Program za ispitivanje klasa za raunanja integrala.

import funkcije.*;
import funkcije.greke.GreFun;

class FunkcijeTest {
  public static void main(String[] varg) {
    radi: while (true) {
      Fun fun = null;
      try {
        System.out.print("\nFunkcija (S, O, L, P, .)? ");
        switch (Citaj.Char()) {
          case 's': case 'S': fun = new Sin(); break;
          case 'o': case 'O': fun = new Oscil(); break;
          case 'l': case 'L': fun = new Log(); break;
          case 'p': case 'P': {
            System.out.print("Red polinoma? ");
            Poli p = new Poli(Citaj.Int());
            while (true) {
              System.out.print("Indeks i vrednost koeficijenta? ");
              int i = Citaj.Int();
            if (i<0) break;
              p.postavi(i, Citaj.Double());
            }
            fun = p;
            break;
          }
          case '.': break radi;
          default: throw new Greska("Nedozvoljen izbor!");
        }
        System.out.print("Interval? ");
        System.out.println("Integral= " +
                           fun.I(Citaj.Double(), Citaj.Double()));
      } catch (GreFun g)         { System.out.println(g);
      } catch (vektor.GreVekt g) { System.out.println(g);
      } catch (Greska g)         { System.out.println(g);
      }
    }
  }

  private static class Greska extends Exception {
    String poruka;
    Greska(String por) { poruka = por; }
    @Override
    public String toString() { return "*** " + poruka; }
  }
}
