// Nezavisan program koji koristi kalkulator (KalkulatorTest).

import java.awt.*;
import java.awt.event.*;

public class KalkulatorTest extends Frame {
  
  private Kalkulator kalk;                         // Polje za kalkulator.
  
  private void popuniProzor() {                    // Popunjavanje prozora:
    Label rez = new Label("", Label.CENTER);       // - natpis za oitanu
    add(rez, "North");                             //   vrednost rezultata
                                                   //   kalkulatora,
    Panel ploa = new Panel();                     // - ploa za komandnu-
    add(ploa, "South");                           //   dugmad, 

    Button dugme = new Button("Otvori");           // - dugme za otvaranje
    ploa.add(dugme);                              //   kalkulatora,
    dugme.addActionListener(new ActionListener() {
      @Override
      public void actionPerformed(ActionEvent dog)
        { kalk.setVisible(true); }
    });

    ploa.add(dugme = new Button("Oitaj"));       // - dugme za oitavanje
    dugme.addActionListener(new ActionListener() { //   kalkulatora,
      @Override
      public void actionPerformed(ActionEvent dog)
        { rez.setText(Long.toString(kalk.rezultat())); }
    });

    ploa.add(dugme = new Button("Zatvori"));      // - dugme za zatvaranje
    dugme.addActionListener(new ActionListener() { //   kalkulatora.
      @Override
      public void actionPerformed(ActionEvent dog)
        { kalk.setVisible(false); }
    });
  }
 
  private KalkulatorTest() {                    // Inicijalizacija:
    super("Neki program");
    setBounds(100, 50, 250, 200);
    addWindowListener(new WindowAdapter() {     // - oslukiva za dogaaje
      @Override                                 //   prozora:
      public void windowClosing(WindowEvent dog)
        { dispose(); kalk.dispose(); }          //   ~ unitavanje oba pro-
    });                                         //     zora,
    popuniProzor();                             // - popunjavanje prozora,
    kalk = new Kalkulator(getX()+getWidth()+50, // - stvaranje kalkulatora.
                          getY());
  }

  public static void main(String[] varg)        // Glavna metoda.
    { new KalkulatorTest().setVisible(true); }
}
