// Program za ispitivanje klase materijalnih taaka u prostoru.

class MatTakaTest {
  public static void main(String[] varg) {
    double[][] pod = {{1,10,1,5}, {3,-2,1,10}, {-4,0,0,8}, {1,2,-3,6},
                      {3,-2,1,4}, {6,-4,-8,99}, {0,7,2,15}, {5,1,2,8}};
    final int X = 0, Y = 1, Z = 2, M = 3;
    MatTaka[] take = new MatTaka[pod.length];
    int n = 0;
    for (double[] p: pod)
      if (!MatTaka.ima(p[X], p[Y], p[Z]))
        take[n++] = new MatTaka(p[X], p[Y], p[Z], p[M]);
      else System.out.println("*** Ve postoji (" +
          p[X] + "," + p[Y] + "," + p[Z] + ")!");
    System.out.println("Take:");
    System.out.print(MatTaka.sve());
    MatTaka etalon = new MatTaka();
    double Fmax = 0;
    MatTaka najJaa = null;
    System.out.println("\nSile privlacenja:");
    for (MatTaka mt: take) {
      if (mt != null) {
        double F = MatTaka.F(mt, etalon);
        System.out.printf("%.2e ", F);
        if (F > Fmax) { Fmax = F; najJaa = mt; }
      }
    }
    System.out.println("\n\nNajvie privlai: " + najJaa);
  }
}
