// Definicija klase platna (Platno).

import java.awt.*;
import static java.lang.Math.*;

public class Platno extends Canvas {
  private int f(int x, int a)         // Funkcija koja se crta.
    { return (int)(a*exp(-0.01*x)*sin(0.1*x)); }

  @Override
  public void paint(Graphics g) {     // Metoda za crtanje:
    int xmax = getWidth()-1;          // - najvea vrednost x-a;
    int a = (getHeight()-1)/2;        // - poetna amplituda;
    g.translate(0, a);                // - pomeranje koordinatnog poetka;
    g.setColor(Color.RED);            // - postavljanje boje pera;
    int x1=0, y1=f(x1, a);            // - poetna taka;
    while (x1 <= xmax) {              // - ciklus crtanja:
      int x2 = x1 + 5, y2 = f(x2, a); //   ~ sledea taka,
      g.drawLine(x1, y1, x2, y2);     //   ~ crtanje dui,
      x1 = x2; y1 = y2;               //   ~ poetna taka za naredni pro-
    }                                 //     laz kroz ciklus.
  }
}
