// Program za ispitivanje klase ravni s obojenim krugovima.

import java.util.*;
import ravan.*;
import static java.lang.System.out;

class RavanTest {
  private static Random gen = new Random();

  private static double sluc(double min, double max) {
    return min + (max - min) * gen.nextDouble();
  }

  public static void main(String[] varg) {
    Scanner ul = new Scanner(System.in);
    Ravan ravan = new Ravan();
    out.print("n? "); int n = ul.nextInt();
    for (int i=0; i<n; i++)
      ravan.dodaj(new Krug(
        sluc(1,5),
        new Taka(sluc(-5, 5), sluc(-5, 5)),
        new Boja(gen.nextInt(256), gen.nextInt(256), gen.nextInt(256))
      ));
    out.println(ravan);
    while (true) {
      out.print("taka? ");
    if (!ul.hasNext()) break;
      out.println("Boja:  " +
          ravan.boja(new Taka(ul.nextDouble(), ul.nextDouble())));
    }
  }
}
