// Definicija klase za prikazivanje poruke o greci (crtanje.Greka).

package crtanje;
import java.awt.*;
import java.awt.event.*;

public class Greka extends Dialog{
  Greka(Frame vlasnik) {                   // Parametri prozora.
    super (vlasnik, "Greka");
    setSize(160, 120);
    setResizable(false);
    setModal(true);
    
    addWindowListener(new WindowAdapter() { // Oslukiva dogaaja prozora:
      @Override                             // - zatvaranje prozora,
      public void windowClosing(WindowEvent dog)
        { dispose(); }
      @Override                             // - aktiviranje prozora:
      public void windowActivated(WindowEvent dog) {
        setLocationRelativeTo(getOwner());  //   ~ u centru vlasnika.
      }
    });
    
    setLayout(new GridLayout(2,1));      // Popunjavanje prozora:
    add(new Label("Pogreni podaci!", Label.CENTER)); // - tekst poruke,
    Panel plo = new Panel(); add(plo);   // - dugme za zatvranje prozora,
    Button dgm = new Button("Dalje"); plo.add(dgm);
    dgm.addActionListener(new ActionListener() {
      @Override                          // - zatvaranje pritiskom dugmeta,
      public void actionPerformed(ActionEvent dog) { dispose(); }
    });
    dgm.addKeyListener(new KeyAdapter() {
      @Override                          // - zatvaranje tasterom Esc.
      public void keyPressed(KeyEvent dog) {
        if(dog.getKeyCode() == KeyEvent.VK_ESCAPE) dispose();
      }
    });
  }
}
