// Definicija klase figura u ravni (figure.Figura).

package figure;
import ravan.Taka;

public abstract class Figura {
  private Taka T;                                  // Teite figure.

  public Figura()         { T = new Taka(); }      // Inicijalizacija.
  public Figura(Taka TT) { T = TT; }

  public final Figura postavi(double x, double y)       // Postavljanje u
    { T = new Taka(x, y); return this; }               //   novu taku.

  public final Figura pomeri (double dx, double dy)     // Pomeranje za
    { T = new Taka(T.x()+dx, T.y()+dy); return this; } //   dati pomak.

  public abstract double O();                           // Obim.

  public abstract double P();                           // Povrina.

  @Override
  public String toString() { return "T=" + T; }     // Tekstualni opis.
}
