// Definicija klase kvadrata u ravni (figure.Kvadrat).

package figure;
import ravan.Taka;

public class Kvadrat extends Figura {
  private double a;                                          // Stranica.

  public Kvadrat()                    { super();   a=1;  }   // Inicijali-
  public Kvadrat(double aa)           { super();   a=aa; }   //   zacija.
  public Kvadrat(double aa, Taka TT) { super(TT); a=aa; }

  @Override
  public double O() { return 4 * a; }                        // Obim.

  @Override
  public double P() { return a * a; }                        // Povrina.

  @Override
  public String toString() {                        // Tekstualni opis.
    return "kvadr[" + super.toString() + ", a=" + a +
      ", O=" + O() + ", P=" + P() + "]";
  }
}
