// Definicija apstraktne klase funkcija (funkcije.Fun).

package funkcije;
import funkcije.greke.*;

public abstract class Fun {
  public abstract double f(double x) throws GreFun; // Vrednost funkcije.

  public double I(double x) throws GreFun        // Neodreeni integral.
    { throw new GreNemaInt(); }
                                                 // Odreeni integral:
  public final double I(double a, double b) throws GreFun {
    final int N = 30;
    try {                                        // - tano raunanje,
      return I(b) - I(a);
    } catch (GreNemaInt g) {                     // - priblino raunanje.
      double dx = (b - a) / N, s = 0;
      for (int i=0; i<N; i++) s += f(a+i*dx);
      return s * dx;
    }
  }
}
