// Definicija klase za greke "Nedozvoljen argument za logaritam"
//   (funkcije.greke.GreNemaLog).

package funkcije.greke;

public class GreNemaLog extends GreFun {
  private double x;             // Nedozvoljena vrednost.
                                // Inicijalizacija:
  public GreNemaLog(double x) { // - navoenjem nedozvoljene vrednosti.     
    super("Ne postoji logaritam od " + x + "!");
    this.x = x; 
  }

  public GreNemaLog() {         // - bez navoenja nedozvoljene vrednosti. 
    super("Logaritam negativnog broja");
    x = 1; 
  }

  public double x() { return x; }  // Uzimanje nedozvoljene vrednosti.
}
