// Definicija klase taaka u ravni (ravan.Taka).

package ravan;
import static java.lang.Math.*;

public class Taka {
  double x, y;                               // Koordinate take.
  
  public Taka(double x, double y)           // Inicijalizacija:
    { this.x = x; this.y = y; }              // - zadatim koordinatama,

  public Taka() {}                          // - u koordinatnom poetku.
  
  public double x() { return x; }            // Dohvatanje koordinata.
  public double y() { return y; }
  
  public double rast(Taka T)                // Rastojanje do druge take.
    { return sqrt(pow(x-T.x, 2) + pow(y-T.y,2)); }

  public String toString()                   // Tekstualni opis.
    { return String.format("(%.2f,%.2f)", x, y); }

  public static final Taka ORG = new Taka();  // Koordinatni poetak.
}
