// Definicija aktivne klase izvetaa (skladite1.Izveta).

package skladite1;

public class Izveta extends Thread {
  private static int posId = 0;    // Poslednji identifikator.
  private int id = ++posId;        // Identifikator izvetaa.
  private Skladite<Integer> sklad;// Pridrueno skladite.
  private int perioda;             // Perioda izvestavanja.

  public Izveta(Skladite<Integer> skl, int per)   // Inicijalizacija.
    { perioda = per; sklad = skl; }
  
  public Izveta(Skladite<Integer> skl) 
    { this(skl, 5000); }
  
  @Override
  public void run() {                                // Telo niti.
    System.out.println("Izvest " + id + " krenuo");
    try {
      while (!interrupted()) {
        sleep(perioda);
        synchronized (sklad) {
          System.out.print("Izvest " + id + " [Sklad " +
                           sklad.id() + ":");
          for (var pro: sklad) System.out.print(" " + pro);
          System.out.println("]");
        }
      }
    } catch (InterruptedException g) {}
    System.out.println("Izvest " + id + " zavrio");
  }
}
