// Definicija aktivne klase potroaa (skladite1.Potroa).

package skladite1;

public class Potroa extends Thread {
  
  private static int posId = 0;    // Poslednji identifikator.
  private int id = ++posId;        // Identifikator potroaa.
  private Skladite<Integer> sklad;// Pridrueno skladite.
  private int minVreme, maxVreme;  // Najkrae i najdue vreme potronje.

  public Potroa(Skladite<Integer> skl, int minVr, int maxVr) { 
    minVreme = minVr; maxVreme = maxVr;              // Inicijalizacija. 
    sklad = skl;
  }
  
  public Potroa(Skladite<Integer> skl) 
    { this(skl, 1000, 2000); }
  
  @Override
  public void run() {                                // Telo niti.
    System.out.println("Potro " + id + " krenuo");
    try {
      while (!interrupted()) {
        int vredn = sklad.uzmi();
        System.out.println("Potro " + id + " uzeo    " + vredn);
        sleep((long)(minVreme + Math.random() * (maxVreme-minVreme)));
      }
    } catch (InterruptedException g) {}
    System.out.println("Potro " + id + " zavrio");
  }
}
