// Definicija aktivne klasa proizvoaa (skladite1.Proizvoa).

package skladite1;

public class Proizvoa extends Thread {

  private static int posId = 0;    // Poslednji identifikator.
  private int id = ++posId;        // Identifikator proizvoaa.
  private Skladite<Integer> sklad;// Pridrueno skladite.
  private int minVreme, maxVreme;  // Najkrae i najdue vreme proizvodnje.
  private int broj;                // Poslednje proizvedeni podatak.

  public Proizvoa(Skladite<Integer> skl, int minVr, int maxVr) { 
    minVreme = minVr; maxVreme = maxVr;              // Inicijalizacija. 
    sklad = skl;
  }
  
  public Proizvoa(Skladite<Integer> skl) 
    { this(skl, 1000, 2000); }
  
  @Override
  public void run() {                                // Telo niti.
    System.out.println("Proizv " + id + " krenuo");
    try {
      while (!interrupted()) {
        sleep((long)(minVreme + Math.random() * (maxVreme-minVreme)));
        int vredn = id*1000 + ++broj; 
        System.out.println("Proizv " + id + " stavlja " + vredn);
        sklad.stavi(vredn);
      }
    } catch (InterruptedException g) {}
    System.out.println("Proizv " + id + " zavrio");
  }
}
