// Definicija aktivne klase potroaa (skladite2.Potroa).

package skladite2;

import java.awt.Color;
import java.awt.Label;

public class Potroa extends Thread {
  
  private static int posId = 0;    // Poslednji identifikator.
  private int id = ++posId;        // Identifikator potroaa.
  private Skladite<Integer> sklad;// Pridrueno skladite.
  private int minVreme, maxVreme;  // Najkrae i najdue vreme potronje.
  private Label prik;              // Prikaziva trenutnog proizvoda.

  public Potroa(Skladite<Integer> skl,
      int minVr, int maxVr, Label pri) {             // Inicijalizacija. 
    minVreme = minVr; maxVreme = maxVr; 
    sklad = skl; prik = pri;
  }
  
  public Potroa(Skladite<Integer> skl, Label pri) 
    { this(skl, 1000, 2000, pri); }
  
  @Override
  public void run() {                                // Telo niti.
    try {
      while (!interrupted()) {
        prik.setBackground(Color.LIGHT_GRAY);
        int vredn = id*100000 + sklad.uzmi();
        prik.setBackground(Color.WHITE);
        prik.setText(Integer.toString(vredn));
        sleep((long)(minVreme + Math.random() * (maxVreme-minVreme)));
      }
    } catch (InterruptedException g) {}
  }
}
