// Definicija klase greaka pri radu s vektorima (vektor.GreVekt).

package vektor;

public class GreVekt extends Exception {
                                        // Kodovi greaka:
  public static final int OPSEG  = 0,   // - neispravan opseg indeksa,
                          INDEKS = 1,   // - indeks izvan opsega,
                          DUINA = 2;   // - neusaglaene duine vektora.
                
  private static final String[] por = { // Tekstovi poruka o grekama.
    "Neispravan opseg indeksa!",
    "Indeks je izvan opsega!",
    "Neusaglaene duine vektora!"
  };
  
  private int sif;                      // ifra greke.
  
  public GreVekt(int s) { sif = s; }    // Inicijalizacija.
  
  public int sifra() { return sif; }    // Dohvatanje ifre.

  @Override                             // Tekstualni opis.
  public String toString() { return "*** " + por[sif]; }
}
