// Ispitivanje generike klase redova objekata.

import uporedivi.*;

public class Red2Test {
  private static Object[] objekti = {
    new Valjak(1.5, 4), "Zdravo!", 3.55,
    new Valjak(), new Ceo(55)
  };
  
  public static void main(String[] varg) {
    Red2<Valjak> redV = new Red2<Valjak>();
    for (Object obj: objekti)
      try {
        redV.stavi((Valjak)obj);
     } catch (ClassCastException g) {
       System.out.println("Greska konverzije: " + obj);
     }
    System.out.println(redV);
    
    double V = 0;
    Red2<Valjak>.Obilazak obilV = redV.new Obilazak();
    for (obilV.naPrvi(); obilV.imaTekui(); obilV.naSledei())
      V += obilV.tekui().V();
    System.out.println("Vuk=" + V + "\n");

    Red2<Object> redO = new Red2<Object>();
    for (Object obj: objekti) redO.stavi(obj);
    while(!redO.prazan()) System.out.println(redO.uzmi());
  }
}
