// Definicija unapreene generike klase redova objekata (Red3).

import java.util.*;

public class Red3<E> extends Red2<E> implements Iterable<E> {

  @Override
  public Iterator<E> iterator()                // Stvaranje iteratora.
    { return new Iter(); }
  
  private class Iter implements Iterator<E> {  // KLASA ITERATORA:
    
    private Elem<E> sled = prvi;               // Sledei element.
    
    @Override
    public boolean hasNext()                   // Ima li sledeeg? 
      { return sled != null; }
    
    @Override
    public E next() throws NoSuchElementException { // Dohvatanje sledeeg.
      if (sled == null) throw new NoSuchElementException();
      E obj = sled.obj;
      sled = sled.sled;
      return obj;
    }
  }
}
