// Definicija klase taaka u ravni (Taka1).

class Taka1 {
  private double x, y;                    // Koordinate take.

  public void postavi(double a, double b) // Postavljanje koordinata.
    { x = a; y = b; }
  
  public double aps() { return x; } // Apscisa take.
  
  public double ord() { return y; } // Ordinata take.
  
  public double poteg()             // Odstojanje od koordinatnog poetka.
    { return Math.sqrt(x*x + y*y); }
  
  public double nagib()             // Nagib potega u odnosu na x-osu.
    { return (x==0 && y==0) ? 0 : Math.atan2(y,x); }
  
  public double rastojanje(Taka1 t)   // Odstojanje od zadate take.
    { return Math.sqrt(Math.pow(x-t.x,2) + Math.pow(y-t.y,2)); }
  
  public Taka1 najblia(Taka1[] a) { // Najblia taka u nizu taaka.
    Taka1  t = a[0]; double r, m = rastojanje(t);
    for (int i=1; i<a.length; i++)
      if ((r = rastojanje(a[i])) < m) { m = r; t = a[i]; }
    return t;
  }
  
  public void itaj(java.util.Scanner skn) // itanje take.
    { x = skn.nextDouble(); y = skn.nextDouble(); }
  
  public String toString()             // Tekstualni opis take.
    { return "(" + x + "," + y + ")"; }

  // Glavna metoda za ispitivanje klase Taka1. ===========================
  public static void main(String[] varg) {
    var skn = new java.util.Scanner(System.in);
    System.out.print("Broj taaka? "); int n = skn.nextInt();
    Taka1[] niz = new Taka1 [n];
    System.out.print("Niz taaka? ");
    for (int i=0; i<n; i++) (niz[i] = new Taka1()).itaj(skn);
    System.out.print("\nReferentna taka? ");
    double x = skn.nextDouble(), y = skn.nextInt();
    Taka1 t = new Taka1(); t.postavi(x, y);
    System.out.println("Koordinate: (" + t.aps() + "," + t.ord() + ")");
    System.out.println("Poteg i nagib: " + t.poteg() + ", " + t.nagib());
    Taka1 w = t.najblia(niz);
    System.out.println("\nNajblia taka: " + w);
    System.out.println("Udaljenost od referentne take: " +
                       t.rastojanje(w));
  }
}
