// Definicija klase krugova u ravni (figure.Krug).

package figure;
import ravan.Taka;

public class Krug extends Figura {
  private double r;                                     // Poluprenik.

  public Krug()                    { super();   r=1;  } // Inicijaliza-
  public Krug(double rr)           { super();   r=rr; } //   cija.
  public Krug(double rr, Taka TT) { super(TT); r=rr; }

  @Override
  public double O() { return 2 * r * Math.PI; }         // Obim.

  @Override
  public double P() { return r * r * Math.PI; }         // Povrina.

  @Override
  public String toString() {                            // Tekstualni opis.
    return "krug [" + super.toString() + ", r=" + r +
      ", O=" + O() + ", P=" + P() + "]";
  }
}
