// Definicija klase polinoma (funkcije.Poli).

package funkcije;
import vektor.*;

public class Poli extends Fun {
  private Vekt a;                              // Vektor koeficijenata.
  
  public Poli(int n) throws GreVekt            // Inicijalizacija.
    { a = new Vekt(0, n); }
  
  public Poli postavi(int i, double b) throws GreVekt // Postavljanje
    { a.postavi(i, b);  return this; }                //   koeficijenta.
  
  public double dohvati(int i) throws GreVekt         // Dohvatanje
    { return a.dohvati(i); }                          //   koeficijenta.
    
  public int red() { return a.maxInd(); }      // Red polinoma.
    
  @Override
  public double f(double x) {                  // Vrednost polinoma.
    double s = 0;
    try {
      for(int i=a.maxInd(); i>=0; s = s * x + a.dohvati(i--));
    } catch (GreVekt g) {}
    return s;
  }

  @Override
  public double I(double x) {                  // Vrednost integrala.
    double s = 0;
    try {
      for (int i=a.maxInd(); i>=0; s = s * x + a.dohvati(i) / (i-- + 1));
    } catch (GreVekt g) {}
    return s * x;
  }
}
