// Definicija apstraktne klase za greke sa funkcijama
//   (funkcije.greke.GreFun).

package funkcije.greke;

public abstract class GreFun extends Exception {
  private String poruka;                      // Tekst poruke.
  
  public GreFun(String por) { poruka = por; } // Inicijalizacija porukom.
  
  public GreFun() {}                          // Inicijalizacija bez poruke.
  
  @Override
  public String toString()                    // Tekstualni opis.
    { return "*** " + (poruka!=null ? poruka : "GRESKA!"); }
}
