// Definicija klase za karte za igru (karte.Karta).

package karte;

public class Karta {
  private Boja boja;                              // Boja karte.
  private Vrednost vrednost;                      // Vrednost karte.
  
  public Karta (Boja boj, Vrednost ozn)           // Inicijalizacija.
    { boja = boj; vrednost = ozn; }
  
  public Boja boja() { return boja; }             // Dohvatanje boje.
  
  public Vrednost vrednost() { return vrednost; } // Dohvatanje vrednosti.
  
  @Override
  public boolean equals(Object obj) {             // Da li su dve karte
    if (!(obj instanceof Karta)) return false;    // jednake?
    Karta k = (Karta)obj;
    return boja==k.boja && vrednost==k.vrednost;
  }
  
  @Override
  public String toString()                        // Tekstualni opis. 
    { return "" + boja + vrednost; }
}
