// Definicija klase sfera (predmeti.Sfera).

package predmeti;

public class Sfera extends Telo {

  private double r;                                // Poluprenik.

  public Sfera(double sigma, double r)             // Inicijalizacija.
    { super(sigma); this.r = r; }

  @Override
  public final double V() { return 4./3 * r*r*r * Math.PI; } // Zapremina.

  @Override
  public String toString()                         // Tekstualni opis.
    { return super.toString () + " " + r; }
}
