// Definicija apstraktne klase homogenih tela (predmeti.Telo).

package predmeti;

public abstract class Telo extends Predmet {

  private double sigma;                           // Specifina teina.

  public Telo(double s) { sigma = s; }            // Inicijalizacija.

  @Override
  public final double Q() { return sigma * V(); } // Teina.

  @Override
  public String toString()                        // Tekstualni opis.
    { return super.toString () + " " + sigma; }
}
