// Definicija aktivne klase proizvoaa (skladite2.Proizvoa).

package skladite2;
import java.awt.*;

public class Proizvoa extends Thread {

  private static int posId = 0;    // Poslednji identifikator.
  private int id = ++posId;        // Identifikator proizvoaa.
  private Skladite<Integer> sklad;// Pridrueno skladite.
  private int minVreme, maxVreme;  // Najkrae i najdue vreme proizvodnje.
  private int broj;                // Poslednje proizvedeni podatak.
  private Label prik;              // Prikaziva trenutnog proizvoda.

  public Proizvoa(Skladite<Integer> skl,         // Inicijalizacija.
                     int minVr, int maxVr, Label pri) { 
    minVreme = minVr; maxVreme = maxVr; 
    sklad = skl; prik = pri;
  }
  
  public Proizvoa(Skladite<Integer> skl, Label ntp) 
    { this(skl, 1000, 2000, ntp); }
  
  @Override
  public void run() {                                // Telo niti.
    try {
      while (!interrupted()) {
        sleep((long)(minVreme + Math.random() * (maxVreme-minVreme)));
        int vredn = id*1000 + ++broj; 
        prik.setText(Integer.toString(vredn));
        prik.setBackground(Color.LIGHT_GRAY);
        sklad.stavi(vredn);
        prik.setBackground(Color.WHITE);
      }
    } catch (InterruptedException g) {}
  }
}
