// Definicija klase za ureivanje metodom umetanja - Insertion Sort
//   (ureivai.MetodaUmetanja).

package ureivai;
import uporedivi.Uporediv;

public class MetodaUmetanja implements Ureiva {

  @Override
  public void uredi(Uporediv[] niz) {   // Ureivanje niza.
    int n = niz.length;
    for (int i=1; i<n; i++) {
      int j = i - 1;
      while (j>=0 && niz[j+1].ispred(niz[j])) {
        Uporediv p = niz[j+1]; niz[j+1] = niz[j]; niz[j--] = p;
      }
    }
  }

  @Override
  public String toString()              // Naziv algoritma.
    { return "Metoda umetanja"; }
}
